# class Byebug::QuitCommand

Exit from byebug.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/quit.rb, line 27
    def description
      prettify <<-EOD
        q[uit] [!|unconditionally] Exits from byebug.

        Normally we prompt before exiting. However if the parameter
        "unconditionally" is given or command is suffixed with !, we exit
        without asking further questions.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/quit.rb, line 23
    def names
      %w(quit)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/quit.rb, line 14
    def execute
      return unless @match[1] || confirm(pr('quit.confirmations.really'))

      @state.interface.autosave
      @state.interface.close
      exit! # exit -> exit!: No graceful way to stop...
    end

regexp() click to toggle source

    # File lib/byebug/commands/quit.rb, line 10
    def regexp
      /^\s* q(?:uit)? \s* (?:(!|\s+unconditionally))? \s*$/x
    end